Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.wherebuilder
Class FeatureTypeNode

    java.lang.Object
      org.deegree.io.datastore.sql.wherebuilder.FeatureTypeNode

     class FeatureTypeNode

extends Object

Represents a `MappedFeatureType` as a node in a `QueryTableTree`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`FeatureTypeNode(MappedFeatureType ft, String ftAlias, String tableAlias)` Creates a new `FeatureTypeNode` from the given parameters.

Method Summary
`void` | `addPropertyNode(PropertyNode propertyNode)` Adds the given property node as a child.
`boolean` | `equals(Object obj)`
`MappedFeatureType` | `getFeatureType()` Returns the associated `MappedFeatureType`.
`String` | `getFtAlias()` Returns the alias as specified in the corresponding query.
`PropertyNode` | `getPropertyNode(MappedPropertyType type)` Returns the child `PropertyNode`s with the given type.
`PropertyNode[]` | `getPropertyNodes()` Returns all child `PropertyNode`s.
`String` | `getTable()` Returns the name of the associated table.
`String` | `getTableAlias()` Returns the alias that uniquely identifies the table (in an SQL query).
`int` | `hashCode()`
`(package private) String` | `toString(String indent)` Returns an indented string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureTypeNode

    FeatureTypeNode(MappedFeatureType ft,
                    String ftAlias,
                    String tableAlias)

  Creates a new `FeatureTypeNode` from the given parameters.

  Parameters:
    `ft` -
    `ftAlias` -
    `tableAlias` -

Method Detail

### getFeatureType

    public MappedFeatureType getFeatureType()

  Returns the associated `MappedFeatureType`.

  Returns:
    associated MappedFeatureType

### getFtAlias

    public String getFtAlias()

  Returns the alias as specified in the corresponding query.

  Returns:
    the alias (may be null)

### getTable

    public String getTable()

  Returns the name of the associated table.

  Returns:
    the name of the associated table

### getTableAlias

    public String getTableAlias()

  Returns the alias that uniquely identifies the table (in an SQL query).

  Returns:
    the unique alias for the table

### getPropertyNodes

    public PropertyNode[] getPropertyNodes()

  Returns all child `PropertyNode`s.

  Returns:
    all child PropertyNodes

### getPropertyNode

    public PropertyNode getPropertyNode(MappedPropertyType type)

  Returns the child `PropertyNode`s with the given type.

  Parameters:
    `type` - the property type to look up
  Returns:
    the child PropertyNode for the given property, may be null

### addPropertyNode

    public void addPropertyNode(PropertyNode propertyNode)

  Adds the given property node as a child.

  Parameters:
    `propertyNode` - the child node to add

### toString

    String toString(String indent)

  Returns an indented string representation of the object.

  Parameters:
    `indent` - current indentation (String consisting of spaces)
  Returns:
    an indented string representation of the object

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org